/*-------------------------------------------------------------*
 * 1: dealing with I/O registers under C                       *
 *-------------------------------------------------------------*/

/***************************************************************
 * "AVR ExperimentBoard" port assignment information:
 ***************************************************************
 *
 * LED0(P):PortC.0          LED4(P):PortC.4
 * LED1(P):PortC.1          LED5(P):PortC.5
 * LED2(S):PortC.2          LED6(S):PortC.6
 * LED3(Z):PortC.3          LED7(Z):PortC.7        INT:PortE.4
 *
 * SW0:PortG.0     SW1:PortG.1     SW2:PortG.4     SW3:PortG.3
 * 
 * BT0:PortE.5     BT1:PortE.6     BT2:PortE.7     BT3:PortB.7
 *
 * INT[4-7] is on PORTE.[4-7]
 *
 ***************************************************************
 *
 * AIN:PortF.0     NTK:PortF.1    OPTO:PortF.2     POT:PortF.3
 *
 ***************************************************************
 *
 * LCD1(VSS) = GND         LCD9(DB2): -
 * LCD2(VDD) = VCC         LCD10(DB3): -
 * LCD3(VO ) = GND         LCD11(DB4): PortA.4
 * LCD4(RS ) = PortA.0     LCD12(DB5): PortA.5
 * LCD5(R/W) = GND         LCD13(DB6): PortA.6
 * LCD6(E  ) = PortA.1     LCD14(DB7): PortA.7
 * LCD7(DB0) = -           LCD15(BLA): VCC
 * LCD8(DB1) = -           LCD16(BLK): PortB.5 (1=Backlight ON)
 *
 ***************************************************************
 *
 * CPU frequency: 11,0592 MHz
 *
 ***************************************************************/

#ifndef F_CPU // if Project/Configuration Options/Frequency is unset
#define F_CPU 11059200L
#endif
#include <util/delay.h>

/*******************************************************************
 * Software wait loops
 *******************************************************************
 *
 * Use this function to realize a software wait loop:
 *   void _delay_ms(double ms);
 *
 * (The maximum possible delay is about 6.5 seconds.)
 *
 * For the proper operation the compiler optimization should be
 * enabled! This means at least the "-O2" option. (Under AVR Studio
 * 4.13 (b528):
 * Projects / Configuration Options / General / Optimization: -O2)
 *
 ******************************************************************/

/******************************************************************
 * I/O register definitions                                       *
 ******************************************************************/

#define IO_REG_OFFSET 0x20

#define PORTC_ADDR 0x15
#define DDRC_ADDR  0x14
#define PINE_ADDR  0x01

#define PORTC (*(volatile unsigned char*)(PORTC_ADDR+IO_REG_OFFSET))
#define DDRC  (*(volatile unsigned char*)(DDRC_ADDR +IO_REG_OFFSET))
#define PINE  (*(volatile unsigned char*)(PINE_ADDR +IO_REG_OFFSET))

/******************************************************************
 * MAIN                                                           *
 ******************************************************************/

int main() {
    
    return 0;
}
