/*-------------------------------------------------------------*
 * 2: writing interrupt service routines under C               *
 *-------------------------------------------------------------*/

/***************************************************************
 * "AVR ExperimentBoard" port assignment information:
 ***************************************************************
 *
 * LED0(P):PortC.0          LED4(P):PortC.4
 * LED1(P):PortC.1          LED5(P):PortC.5
 * LED2(S):PortC.2          LED6(S):PortC.6
 * LED3(Z):PortC.3          LED7(Z):PortC.7        INT:PortE.4
 *
 * SW0:PortG.0     SW1:PortG.1     SW2:PortG.4     SW3:PortG.3
 * 
 * BT0:PortE.5     BT1:PortE.6     BT2:PortE.7     BT3:PortB.7
 *
 * INT[4-7] is on PORTE.[4-7]
 *
 ***************************************************************
 *
 * AIN:PortF.0     NTK:PortF.1    OPTO:PortF.2     POT:PortF.3
 *
 ***************************************************************
 *
 * LCD1(VSS) = GND         LCD9(DB2): -
 * LCD2(VDD) = VCC         LCD10(DB3): -
 * LCD3(VO ) = GND         LCD11(DB4): PortA.4
 * LCD4(RS ) = PortA.0     LCD12(DB5): PortA.5
 * LCD5(R/W) = GND         LCD13(DB6): PortA.6
 * LCD6(E  ) = PortA.1     LCD14(DB7): PortA.7
 * LCD7(DB0) = -           LCD15(BLA): VCC
 * LCD8(DB1) = -           LCD16(BLK): PortB.5 (1=Backlight ON)
 *
 ***************************************************************
 *
 * CPU frequency: 11,0592 MHz
 *
 ***************************************************************/

/******************************************************************
 * I/O register definitions                                       *
 ******************************************************************/

#include <avr/io.h>

/******************************************************************
 * Useful macros to help dealing with interrupts                  *
 * (See <avr/interrupt.h> for further details!)                   *
 ******************************************************************/

#define sei()  __asm__ __volatile__ ("sei" ::)
#define cli()  __asm__ __volatile__ ("cli" ::)

#define ISR(vector)                                 \
void vector (void) __attribute__ ((signal, used));  \
void vector (void)

/******************************************************************
 * ISR to handle the push button labeled INT                      *
 ******************************************************************/

ISR(INT4_vect) {

}

/******************************************************************
 * MAIN                                                           *
 ******************************************************************/

int main() {
    
    
    return 0;
}
