/*-------------------------------------------------------------*
 * 3: how to use STDIO in an embedded environment              *
 *-------------------------------------------------------------*/

/***************************************************************
 * "AVR ExperimentBoard" port assignment information:
 ***************************************************************
 *
 * LED0(P):PortC.0          LED4(P):PortC.4
 * LED1(P):PortC.1          LED5(P):PortC.5
 * LED2(S):PortC.2          LED6(S):PortC.6
 * LED3(Z):PortC.3          LED7(Z):PortC.7        INT:PortE.4
 *
 * SW0:PortG.0     SW1:PortG.1     SW2:PortG.4     SW3:PortG.3
 * 
 * BT0:PortE.5     BT1:PortE.6     BT2:PortE.7     BT3:PortB.7
 *
 * INT[4-7] is on PORTE.[4-7]
 *
 ***************************************************************
 *
 * AIN:PortF.0     NTK:PortF.1    OPTO:PortF.2     POT:PortF.3
 *
 ***************************************************************
 *
 * LCD1(VSS) = GND         LCD9(DB2): -
 * LCD2(VDD) = VCC         LCD10(DB3): -
 * LCD3(VO ) = GND         LCD11(DB4): PortA.4
 * LCD4(RS ) = PortA.0     LCD12(DB5): PortA.5
 * LCD5(R/W) = GND         LCD13(DB6): PortA.6
 * LCD6(E  ) = PortA.1     LCD14(DB7): PortA.7
 * LCD7(DB0) = -           LCD15(BLA): VCC
 * LCD8(DB1) = -           LCD16(BLK): PortB.5 (1=Backlight ON)
 *
 ***************************************************************
 *
 * CPU frequency: 11,0592 MHz
 *
 ***************************************************************/

/******************************************************************
 * Includes                                                       *
 ******************************************************************/

#include <stdio.h>

/* For the proper operation of the LCD panel API the compiler
 * optimalization should be enabled! This means at least the "-O2"
 * option. (Under AVR Studio 4.13 (b528):
 * Projects / Configuration Options / General / Optimization: -O2)
 *
 * The precompiled code of the LCD and serial port API is located in
 * the file "libboard.a". This library file should be added to the
 * project. Under AVR Studio 4.13 (b528): Projects / Configuration
 * Options / Libraries / libboard.a / Add Library
 */

#include <board/lcd.h>
#include <board/serial.h>

/******************************************************************
 * MAIN                                                           *
 ******************************************************************/

int main() {
    
    return 0;
}
